/****************************************************************************************************

		I3DExClipImporter.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain
		Date:	7/7/2006

****************************************************************************************************/

#ifndef __I3DExClipImporter__
#define __I3DExClipImporter__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCArray.h"

struct IMCFile;
struct I3DShMasterClip;


//****** Globally Unique Ids *************************************************

MCDEFINE_GUID_H(IID_I3DExClipImporter);


/// \addtogroup ExternalInterface
/// \{

// ****************************************************************************
//								I3DExClipImporter
// 
/// 
///
struct I3DExClipImporter : public IMCUnknown
{
	// ****************************************************************************
	//								GetClipFileTypes
	// 
	/// Called to get a list of file type supported by the importer
	///
	/// \param fileTypes		List of file types.
	/// 
	virtual void		MCCOMAPI GetClipFileTypes(TMCArray<IDType>& fileTypes) = 0;

	// ****************************************************************************
	//								ImportClip
	// 
	/// Called to import a clip
	///
	/// \param file			Source file.
	/// \param clip			Output.
	/// 
	virtual MCCOMErr	MCCOMAPI ImportClip(IMCFile* file, I3DShMasterClip** clip) = 0;
};

/// \}

#endif
